* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
}

/*Light mode*/
/*Desktop view*/
:root {
  --text-color: #0a0101;
  --primary-bg: #f5f5f5;
  --secondary-bg: #cd3c3c;
  --font-family-1: "Raleway", "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  --font-family-2: Cochin, Georgia, Times, "Times New Roman", serif;
}

html {
  color-scheme: light dark;
  forced-color-adjust: none;
}

body {
  line-height: 1.5;
  color: var(--text-color);
  font-family: var(--font-family-1);
  /* background: #f5f5f5; */
  background: linear-gradient(135deg, lightblue, hsl(0, 59%, 79%));
  text-align: left;
}

.wrapper {
  padding: 8rem 0;
  backdrop-filter: blur(7px);
}

img {
  width: 80vw;
  position: fixed;
  left: 10vw;
  top: 0;
  z-index: -1;
  opacity: 0.7;
}

h1 {
  text-align: center;
  font-size: 3.2rem;
  font-weight: 700;
  font-family: var(--font-family-2);
  margin-bottom: 2rem;
}

p {
  margin-left: 1rem;
  font-size: 1.4rem;
  font-weight: 550;
  letter-spacing: 0;
}

.cmd {
  font-weight: 600;
}

form {
  margin: 5rem auto;
  width: 70vw;
}

.form-wrapper {
  margin: 3rem 0 0 4rem;
}

label {
  font-size: 1.6rem;
  letter-spacing: 0.5px;
  font-weight: 600;
}

input,
select {
  width: 55%;
  height: 3rem;
  padding-left: 0.8rem;
  margin: 1.5rem 0.5rem 0.5rem;
  border-radius: 9px;
  border: none;
  outline: magenta;
  background: var(--primary-bg);
  font-weight: 550;
  font-size: 1.5rem;
  font-family: var(--font-family-1);
  letter-spacing: 0.3px;
  color: var(--text-color);
}

input::placeholder {
  color: #292929;
  font-size: 1.2rem;
  opacity: 0.85;
  font-weight: 550;
  letter-spacing: 0.5px;
}

.names {
  width: 30%;
}

textarea {
  width: 55%;
  height: 8rem;
  padding-left: 0.8rem;
  margin: 0.5rem 0.5rem 1.2rem;
  outline: magenta;
  border-radius: 9px;
  border: none;
  background: var(--primary-bg);
  font-weight: 550;
  font-size: 1.5rem;
  font-family: var(--font-family-1);
  letter-spacing: 0.3px;
  color: var(--text-color);
}

.label {
  margin: 0;
}

#yes,
#no {
  width: unset;
  height: unset;
  margin-top: 1.4rem 0.7rem;
  transform: scale(1.3);
  cursor: pointer;
}

.lastp {
  margin-top: 3rem;
}

.submitbtn {
  display: block;
  margin: 5rem auto;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.submitbtn:hover {
  background: var(--secondary-bg);
  color: var(--primary-bg);
}

.submitbtn:active {
  transform: translate(-2px, -2px);
}

/* Footer Section */
footer {
  color: #ffffff;
  background: linear-gradient(
    to bottom,
    var(--primary-bg),
    hsl(0, 59%, 36%) 85%
  );
  padding: 10rem 5rem 2rem;
}

.links {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
}

footer h4 {
  color: inherit;
  font-size: 1.3rem;
  font-weight: 700;
  margin-bottom: 1.8rem;
}

footer a {
  color: inherit;
  opacity: 0.85;
  font-size: 1rem;
  font-weight: 550;
}

footer a:hover {
  text-decoration: underline;
}

footer .sect {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

footer p {
  font-size: 1.6rem;
  margin-top: 1.5rem;
  text-align: center;
}

.socials {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1.5rem;
}

.socials i {
  font-size: 1.7rem;
  color: var(--primary-bg);
  transition: all 0.3s ease-in-out;
  cursor: pointer;
  border: 2.5px var(--primary-bg) solid;
  border-radius: 7px;
  padding: 5px 8px;
}

@media (max-width: 1210px) {
  .wrapper {
    backdrop-filter: blur(2px);
  }

  img {
    width: 95vw;
    left: 2.5vw;
  }

  h1 {
    text-align: left;
    font-size: 2.5rem;
    margin: 0 1rem;
  }

  p {
    font-weight: 500;
    margin-left: 0;
    letter-spacing: 0;
  }

  form {
    width: 90vw;
  }

  .form-wrapper {
    margin-left: 1rem;
  }

  label {
    font-size: 1.5rem;
  }

  input,
  select {
    width: 80vw;
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-weight: 500;
    font-size: 1.2rem;
  }

  .names {
    width: 65vw;
  }

  textarea {
    width: 80vw;
    font-weight: 500;
    font-size: 1.2rem;
  }

  .submitbtn {
    font-size: 1.5rem;
    font-weight: 600;
  }

  /* Footer Section */
  footer {
    padding: 8rem 1rem 1rem;
  }

  .links {
    overflow-x: hidden;
    flex-wrap: wrap;
  }

  .sect {
    margin-bottom: 2rem;
  }

  /* .sect:nth-child(5) h4 {
    display: none;
  } */

  .socials {
    gap: 1.2rem;
  }

  .socials i {
    font-size: 22px;
  }

  footer h4 {
    margin-bottom: 1rem;
  }

  footer p {
    font-size: 1.3rem;
  }

  footer p strong {
    font-weight: 500;
  }
}
